<?php
// $Id: signup_handler_filter_signup_disabled.inc,v 1.4 2008/11/22 00:47:25 dww Exp $

/**
 * Filter nodes based on if signups are disabled or enabled.
 */
class signup_handler_filter_signup_disabled extends signup_handler_filter_boolean {
  function get_value_options() {
    $this->value_options = array(1 => t('Enabled'), 0 => t('Disabled'));
  }

  function query() {
    $this->ensure_my_table();
    $this->query->add_where($this->options['group'], "$this->table_alias.nid ". (empty($this->value) ? 'IS' : 'IS NOT') .' NULL');
  }
}

